GDBserver

Public Member Functions | Private Attributes | List of all members
gdb::unlinker Class Reference

`#include "gdb_unlinker.h"`

## Public Member Functions
| unlinker (const char *filename) ATTRIBUTE_NONNULL(2)
| ~unlinker ()
void | keep ()

## Private Attributes
const char * | m_filename

## Detailed Description

Definition at line 31 of file gdb_unlinker.h.

## Constructor & Destructor Documentation

## ◆ unlinker()

gdb::unlinker::unlinker | ( | const char * | filename | ) |
| inline

Definition at line 35 of file gdb_unlinker.h.

References gdb_assert.

## ◆ ~unlinker()

gdb::unlinker::~unlinker | ( |  | ) |
| inline

Definition at line 41 of file gdb_unlinker.h.

References m_filename.

## Member Function Documentation

## ◆ keep()

void gdb::unlinker::keep | ( |  | ) |
| inline

Definition at line 48 of file gdb_unlinker.h.

References m_filename.

## Member Data Documentation

## ◆ m_filename

const char* gdb::unlinker::m_filename
| private

Definition at line 55 of file gdb_unlinker.h.

Referenced by keep(), and ~unlinker().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/common/gdb_unlinker.h